Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000501KdenliveMLTpublic2008-12-20 22:312008-12-29 15:37
Reporterrudlavibizon 
Assigned Tomadsdyd 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionRecent git 
Target Version0.7.1Fixed in Version0.7.1 
Summary0000501: Clip gets stuck on the timeline, can't move, resize & delete
DescriptionWhen two clips are put on the timeline , clip A and clip B, if clip A is selected and In is pressed over B -> B gets stuck. If B is selected and In is pressed over A then B is stuck again.
Additional InformationComand line output:

kdenlive(597) EffectStackEdit::transferParamDesc: in
kdenlive(597) ClipItem::itemChange: /// MOVING CLIP ITEM.------------
++++++++++
kdenlive(597) ClipItem::itemChange: /// MOVING CLIP ITEM.------------
++++++++++
kdenlive(597) ClipItem::itemChange: /// MOVING CLIP ITEM.------------
++++++++++
kdenlive(597) ClipItem::itemChange: /// MOVING CLIP ITEM.------------
++++++++++
kdenlive(597) ClipItem::itemChange: /// MOVING CLIP ITEM.------------
++++++++++
kdenlive(597) ClipItem::itemChange: /// MOVING CLIP ITEM.------------
++++++++++
kdenlive(597) ClipItem::itemChange: /// MOVING CLIP ITEM.------------
++++++++++
kdenlive(597) ClipItem::itemChange: /// MOVING CLIP ITEM.------------
++++++++++
kdenlive(597) ClipItem::itemChange: /// MOVING CLIP ITEM.------------
++++++++++
kdenlive(597) ClipItem::itemChange: /// MOVING CLIP ITEM.------------
++++++++++
kdenlive(597) ClipItem::itemChange: /// MOVING CLIP ITEM.------------
++++++++++
kdenlive(597) ClipItem::itemChange: /// MOVING CLIP ITEM.------------
++++++++++
kdenlive(597) ClipItem::itemChange: /// MOVING CLIP ITEM.------------
++++++++++
kdenlive(597) ClipItem::itemChange: /// MOVING CLIP ITEM.------------
++++++++++
kdenlive(597) ClipItem::itemChange: /// MOVING CLIP ITEM.------------
++++++++++
kdenlive(597) ClipItem::itemChange: /// MOVING CLIP ITEM.------------
++++++++++
kdenlive(597) ClipItem::itemChange: /// MOVING CLIP ITEM.------------
++++++++++
kdenlive(597) ClipItem::itemChange: /// MOVING CLIP ITEM.------------
++++++++++
kdenlive(597) ClipItem::itemChange: /// MOVING CLIP ITEM.------------
++++++++++
kdenlive(597) Render::mltResizeClipStart: //////// ERROR RSIZING BLANK CLIP!!!!!!!!!!!
kdenlive(597) ClipItem::itemChange: /// MOVING CLIP ITEM.------------
++++++++++
TagsNo tags attached.
Build/Install MethodManual build from SVN
Attached Files? file icon 501.mpg [^] (2,934,784 bytes) 2008-12-21 02:54

- Relationships

-  Notes
(0001831)
xzhayon (developer)
2008-12-21 02:29

rudlavibizon, i've attached a video of a problem i get with tracks... could you tell us if it's something similar? does your issue return a red error message in the left bottom bar?
(0001847)
rudlavibizon (reporter)
2008-12-21 10:51

Yes, I get the red message. I'm not sure what you have done on your video but it might be similar. This problem happens when using keyboard shortcuts (i,o). There also might be other scenarios then the one in the summary. That was the one I was able to reproduce every time. Ask if you need a screen capture.
(0001862)
madsdyd (administrator)
2008-12-21 13:11

Acknowledged.

Steps to reproduce:

- start kdenlive
- add a clip to the timeline
- razor the clip in two (A and B)
- click A to select it
- move the point to the middle of B (approx).
- hit the 'I' key. Note that B is *not* resized(!)
- Try moving B around - may work first time, but soon you will get error messages in the status bar, then it will start moving back to the place it came from.

I have marked this for 0.7.1 as I think this bug may creep up in other situations.
(0001899)
madsdyd (administrator)
2008-12-22 21:31

Fix commited in svn 2812, confirmed. Resolving.

Note, that the fix actually ensures that for the cut operation that uses the position of the yellow marker, the yellow marker is within the *selected* clip.

If not, an "Invalid command" is written to the status bar.

- Issue History
Date Modified Username Field Change
2008-12-20 22:31 rudlavibizon New Issue
2008-12-20 22:31 rudlavibizon Build/Install Method => Manual build from SVN
2008-12-21 02:29 xzhayon Note Added: 0001831
2008-12-21 02:29 xzhayon Status new => feedback
2008-12-21 02:54 xzhayon File Added: 501.mpg
2008-12-21 10:51 rudlavibizon Note Added: 0001847
2008-12-21 13:11 madsdyd Note Added: 0001862
2008-12-21 13:11 madsdyd Status feedback => acknowledged
2008-12-21 13:12 madsdyd Target Version => 0.7.1
2008-12-22 21:31 madsdyd Note Added: 0001899
2008-12-22 21:31 madsdyd Status acknowledged => resolved
2008-12-22 21:31 madsdyd Fixed in Version => Recent git
2008-12-22 21:31 madsdyd Resolution open => fixed
2008-12-22 21:31 madsdyd Assigned To => madsdyd
2008-12-29 15:36 madsdyd Fixed in Version Recent git => 0.7.1
2008-12-29 15:37 madsdyd Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker